<?php

/**
* Archivo con las funciones de base de datos
*
* @package bd.php
* @copyright 2007 2008 Luis Jorge Martin Aznar
* @version 1.0
* @review 1
* @author Luis Jorge Martin Aznar
* creacion= 12-octubre-2007
* modificacion= 14-abril-2008
*
* generator= gedit
*
* This file is part of PreAdmin ©.
*
*    This program is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program.  If not, see <http://www.gnu.org/licenses/>.  
*/


session_start();
//incluimos funciones,configuración e idioma
require('../config.php');
require('../idioma/'.$idioma.'');
include_once('../modelo/m_bd.php');

//si hay sesión cargamos código
if (isset($_SESSION['usuario_sesion']) && $_SESSION['rol_sesion'] == 'admin')
{

//recogemos la información cargando la variable
$accion=$_POST['p1'];
$idusuario=$_POST['p2'];
$nombreusuario=$_POST['p4'];

//montamos un switch para llevar a cabo las acciones
switch($accion)
	{
	case 'copiaseg':
		$path = getcwd();
		$path = substr(substr($path,0,-1), 0, strrpos($path,"/"));
		$fecha=date("Y-m-d-H:i:s");
		$ruta=$path.'/copias_seguridad/'.$fecha.'.tar';
		$archivo=$path.'/controlador/script/copia_seg.sh';
		$resto=exec("sudo $archivo $servidor 5432 $usuario_postgre $ruta $bd",$res,$res2);
 		if($res!="")
  		{
		$mensaje_mensajes= $id_bd['exito_copia'];
		require('../vista/comunicados.vta');
  		} 
		else
		{
		$mensaje_mensajes= $id_bd['error_copia'];
		require('../vista/comunicados.vta');
		}

	break;

//Realizamos un proceso vacuum en la bd
	case 'vacuum':
		$limpia=limpiabd();
		if($limpia)
			{
			$mensaje_mensajes= $id_bd['vacuum'];
			require('../vista/comunicados.vta');
			}
		else
			{
			$mensaje_mensajes= $id_bd['error_vacuum'];
			require('../vista/comunicados.vta');
			}
	break;

//Realizamos un proceso vacuum en la bd
	case 'reindex':
		$reindex=reindexa($bd);
		if($reindex)
			{
			$mensaje_mensajes= $id_bd['reindex'];
			require('../vista/comunicados.vta');
			}
		else
			{
			$mensaje_mensajes= $id_bd['error_reindex'];
			require('../vista/comunicados.vta');
			}
	break;
	}//fin switch

}//fin hay sesión

?>
