/**
* Archivo de instalacion
*
* @package controlador.js
* @copyright 2007 Ramon Castro Perez, 2007 2008 Luis Jorge Martin Aznar
* @version 1.0
* @review 1
* @author Luis Jorge Martin Aznar
* creacion= 20-noviembre-2007
* modificacion= 20-noviembre-2007 
*
* generator= gedit
*
* This file is part of PreAdmin ©.
*
*    This program is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program.  If not, see <http://www.gnu.org/licenses/>.  
*/



function procesaRespuestaDoc(resp){
	$("center").innerHTML = resp.responseText;
}

function abreAdmin(){
	document.location.href="admin/panel.php";
}


function cargaInicio(dia,mes,anyo){
	var url="agenda.php";
	var pars="p1="+dia+"&p2="+mes+"&p3="+anyo+"";
	var ajax = new Ajax.Request( url, {
				method: "post",
				parameters: pars,
				onComplete: procesaRespuestaDoc
				})
}

/////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
//Funciones calendario////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////

function procesaCalendario(resp){
	$("calendario").innerHTML = resp.responseText;
}

function navegaMes(numero,anyo,variacion){
	var url = "calendario.php";
		if(variacion=="menos")
			{
			numeromes=parseFloat(numero);
			mes = numeromes - 1;
			if(mes<1)
				{
				mes = 12;
				anyo = anyo - 1;
				}
			}
		else
			{
			numeromes=parseFloat(numero);
			mes = numeromes + 1;
			if(mes>12)
				{
				mes = 1;
				anyo = (parseInt(anyo) + 1);
				}
			}
	var pars = "mes="+mes+"&anyo="+anyo+"";
	var ajax = new Ajax.Request( url, {
			parameters: pars,
			method: "post",
			onComplete: procesaCalendario
			});
}


function navegaMesPeq(numero,anyo,variacion,id){
		if(variacion=="menos")
			{
			mes = (parseFloat(numero) - 1);
			if(mes<1)
				{
				mes = 12;
				anyo = anyo - 1;
				}
			}
		else
			{
			mes = (parseFloat(numero) + 1);
			if(mes>12)
				{
				mes = 1;
				anyo = (parseInt(anyo) + 1);
				}
			}
	document.location.href="calend_peq.php?mes="+mes+"&anyo="+anyo+"&id="+id+"";
}
function navegaAnyo(numero,mes,variacion){
	var url = "calendario.php";
		if(variacion=="menos")
			{
			anyo = (parseInt(numero) - 1);
			}
		else
			{
			anyo = (parseInt(numero) + 1);
			}
	var pars = "anyo="+anyo+"&mes="+mes+"";
	var ajax = new Ajax.Request( url, {
			parameters: pars,
			method: "post",
			onComplete: procesaCalendario
			});
}
function navegaAnyoPeq(numero,mes,variacion,id){
		if(variacion=="menos")
			{
			anyo = (parseInt(numero) - 1);
			}
		else
			{
			anyo = (parseInt(numero) + 1);
			}
	document.location.href="calend_peq.php?mes="+mes+"&anyo="+anyo+"&id="+id+"";
}


function recarga(parametro,pagina){
	var url=pagina;
	var pars = "p1="+parametro+"";
	var ajax = new Ajax.Request( url, {
				parameters: pars,
				method: "post",
				onComplete: procesaRespuestaDoc
				})
}

function calendario(dia,mes,anyo){
	var url="inicio.php";
	var pars = "p1="+dia+"&p2="+mes+"&p3="+anyo+"";
	var ajax = new Ajax.Request( url, {
				parameters: pars,
				method: "post",
				onComplete: procesaRespuestaDoc
				})
}


function oculta(argumento){
	document.getElementById(argumento).style["display"]="none"
}
function calend_peq(){
	window.open('calend_peq.php','','scrollable=no,scrollbars=no,status=no,resizable=yes,toolbars=0,location=0,directories=0,menubar=no,width=180,height=220');
}
function calendarioPeq(dia,mes,anyo){
	window.opener.document.getElementById('fecha_ent').value=""+dia+"-"+mes+"-"+anyo+"";
	window.close();
}
function calend_peq1(id){
	window.open('calend_peq.php?id='+id+'','','left=400, top=200, scrollable=no,scrollbars=no,status=no,resizable=no,toolbars=0,location=0,directories=0,menubar=no,Titlebar=no, width=200,height=220');
}
function calendarioPeq1(dia,mes,anyo,id){
	window.opener.document.getElementById(id).value=""+anyo+"-"+mes+"-"+dia+"";
	window.close();
}



///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
//Funciones cambio obligatorio de contraseña////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////

function procesacambiopw(resp){
	$("mensaje").innerHTML = resp.responseText;
}


function cambiarpw(){
	var url="cambiarpw.php";
	var pars="p1=dentro";
	var ajax = new Ajax.Request( url, {
				method: "post",
				parameters: pars,
				onComplete: procesaRespuestaDoc
				})
}




function cambiopw(usuario,form){

	var formulario = document.getElementById('editapw');

	//comprobamos que los campos esten llenos
	if (camposrellenos(formulario)!=1){alert(camposrellenos(formulario));exit;}

	//Comprobamos las claves
	clave1=formulario['pwd_1'].value;
	clave2=formulario['pwd_2'].value;
	if (clave1!=clave2) {alert('No coinciden las claves');exit;}

		var url = form;
		var params = Form.serialize($('editapw'));
		var pars = "pw1=changepw&p2="+usuario+"";
		var parametros = ""+params+"&"+pars+"";
		var ajax = new Ajax.Request( url, {
				parameters: parametros,
				method: "post",
				onComplete: procesacambiopw
				});
}



///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
//Funciones Agenda/////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////

function replaceChars(entry,out,add) {
	
	temp = "" + entry;

	//bucle mientras se encuentre la cadena de busqueda
	while (temp.indexOf(out)>-1)
	{
		//pos es igual a la posicion donde se encuentra la coincidencia
		pos=temp.indexOf(out);
		//coge la cadena desde el principio hasta la primera coincidencia, añade
		// el caracter de reemplazo, y coge el resto de cadena, realizando de esta
		// mantera el reemplazo
		temp = "" + (temp.substring(0, pos) + add + temp.substring((pos + out.length), temp.length));
	}
	return temp;
}


function grabaCita(id,dia,mes,anyo,franja,diacita){
	var content = FCKeditorAPI.GetInstance('area').GetXHTML();
	var out = '=';
	var add = '[igual]';	
	var content_filtrado = replaceChars(content,out,add);
	var out = '?';
	var add = '~inte~';
	var content_filtrado1 = replaceChars(content_filtrado,out,add);
	var tipo=document.getElementById("select"+id+"").value;
	var url="inicio.php";
	var pars="p1="+dia+"&p2="+mes+"&p3="+anyo+"&accion=graba&cita="+content_filtrado1+"&franjacita="+franja+"&diacita="+diacita+"&tipocita="+tipo+"";
	this.close.innerHTML;
	var ajax=new Ajax.Request(url,{
				parameters: pars,
				method:"post",
				onComplete:procesaRespuestaDoc
				})
}

function borraCita(id,dia,mes,anyo){
	if( ! confirm("¿Realmente quieres eliminar esta cita?") ) {
		return false;
	    }
	var url="inicio.php";
	var pars="p1="+dia+"&p2="+mes+"&p3="+anyo+"&accion=elimina&id="+id+"";
	var ajax=new Ajax.Request(url,{
				parameters: pars,
				method:"post",
				onComplete:procesaRespuestaDoc
				})
}


function actualizaCita(id,dia,mes,anyo,franja,diacita){
	
	var content = FCKeditorAPI.GetInstance('area').GetXHTML();
	var out = '=';
	var add = '[igual]';	
	var content_filtrado = replaceChars(content,out,add);
	var out = '?';
	var add = '~inte~';
	var content_filtrado1 = replaceChars(content_filtrado,out,add);
	var tipo=document.getElementById("select").value;

	var url="inicio.php";
	var pars="p1="+dia+"&p2="+mes+"&p3="+anyo+"&accion=actualiza&cita="+content_filtrado1+"&franjacita="+franja+"&diacita="+diacita+"&tipocita="+tipo+"&id="+id+"";
	var ajax=new Ajax.Request(url,{
				parameters: pars,
				method:"post",
				onComplete:procesaRespuestaDoc
				})

}


///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
//Funciones Mesajes/////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
function miraMensajes(){
	var url="mensajes.php";
	var pars="accion=recibidos";
	var ajax = new Ajax.Request( url, {
				parameters: pars,
				method: "post",
				onComplete: procesaRespuestaDoc
				})
}

function redactaMensaje(){
	var url="mensajes.php";
	var pars="accion=redacta";
	var ajax = new Ajax.Request( url, {
				parameters: pars,
				method: "post",
				onComplete: procesaRespuestaDoc
				})
}

function editaMensajeBorrador(id){
	var url="mensajes.php";
	var pars="accion=redacta&id="+id+"";
	var ajax = new Ajax.Request( url, {
				parameters: pars,
				method: "post",
				onComplete: procesaRespuestaDoc
				})
}


function enviaMensaje(argumento){
	if(argumento == 'c')
		{
		var url="mensajes.php";
		var pars="accion=recibidos";
		var ajax = new Ajax.Request( url, {
				parameters: pars,
				method: "post",
				onComplete: procesaRespuestaDoc
				})
		exit;
		}
	if($F('asunto')=='')
		{
		alert('Debes especificar un asunto para el mensaje');
		exit;
		}
	if($F('sel_doc') == '0' && $F('sel_fam') == '0')
		{
		alert('Debes especificar un destinatario (docente o familia)');
		exit;
		}
	switch(argumento)
		{
		case 'e':
		var pars="accion=envia";
		break;

		case 'b':
		var pars="accion=borrador";
		break;
		}
	var url="mensajes.php";
	var content = FCKeditorAPI.GetInstance('area').GetXHTML();
	var out = '=';
	var add = '[igual]';	
	var content_filtrado = replaceChars(content,out,add);
	var out = '?';
	var add = '~inte~';
	var content_filtrado1 = replaceChars(content_filtrado,out,add);
	var params = Form.serialize($('formulario'));
	var parametros = ""+params+"&"+pars+"&texto="+content_filtrado1+"";
	var ajax = new Ajax.Request( url, {
				parameters: parametros,
				method: "post",
				onComplete: procesaRespuestaDoc
				})
}
function enviaMensajeBorrador(argumento,id){
	if($F('asunto')=='')
		{
		alert('Debes especificar un asunto para el mensaje');
		exit;
		}
	if($F('sel_doc') == '0' && $F('sel_fam') == '0')
		{
		alert('Debes especificar un destinatario');
		exit;
		}
	switch(argumento)
		{
		case 'e':
		var pars="accion=envia&idb="+id+"";
		break;

		case 'b':
		var pars="accion=borrador&idb="+id+"";
		break;
		}
	var url="mensajes.php";
	var content = FCKeditorAPI.GetInstance('area').GetXHTML();
	var out = '=';
	var add = '[igual]';	
	var content_filtrado = replaceChars(content,out,add);
	var out = '?';
	var add = '~inte~';
	var content_filtrado1 = replaceChars(content_filtrado,out,add);
	var params = Form.serialize($('formulario'));
	var parametros = ""+params+"&"+pars+"&texto="+content_filtrado1+"";
	var ajax = new Ajax.Request( url, {
				parameters: parametros,
				method: "post",
				onComplete:procesaRespuestaDoc
				})
}
function recibidosMensaje(){
	var url="mensajes.php";
	var pars="accion=recibidos";
	var ajax = new Ajax.Request( url, {
				parameters: pars,
				method: "post",
				onComplete: procesaRespuestaDoc
				})
}
function eliminaRec(id){
	if( ! confirm("¿Realmente quieres eliminar este mensaje?") ) {
		return false;
	    }
	var url="mensajes.php";
	var pars="accion=eliminarec&id="+id+"";
	var ajax = new Ajax.Request( url, {
				parameters: pars,
				method: "post",
				onComplete: procesaRespuestaDoc
				})
}
function eliminaEnv(id){
	if( ! confirm("¿Realmente quieres eliminar este mensaje?") ) {
		return false;
	    }
	var url="mensajes.php";
	var pars="accion=eliminaenv&id="+id+"";
	var ajax = new Ajax.Request( url, {
				parameters: pars,
				method: "post",
				onComplete: procesaRespuestaDoc
				})
}
function eliminaMensajeBorrador(id){
	if( ! confirm("¿Realmente quieres eliminar este mensaje?") ) {
		return false;
	    }
	var url="mensajes.php";
	var pars="accion=eliminaborrador&id="+id+"";
	var ajax = new Ajax.Request( url, {
				parameters: pars,
				method: "post",
				onComplete: procesaRespuestaDoc
				})
}
function enviadosMensaje(){
	var url="mensajes.php";
	var pars="accion=enviados";
	var ajax = new Ajax.Request( url, {
				parameters: pars,
				method: "post",
				onComplete: procesaRespuestaDoc
				})
}
function borradorMensaje(){
	var url="mensajes.php";
	var pars="accion=listaborrador";
	var ajax = new Ajax.Request( url, {
				parameters: pars,
				method: "post",
				onComplete: procesaRespuestaDoc
				})
}

///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
//Funciones base de datos/////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
function vacuum(){
	if( ! confirm("¿Deseas limpiar la base de datos?") ) {
                return false;
            }
	var url = "bd.php";
	var pars = "p1=vacuum";
	var ajax = new Ajax.Request( url, {
				parameters: pars,
				method:"post",
				onComplete: procesaRespuesta
				});
}

function reindex(){
	if( ! confirm("¿Deseas reindexar la base de datos?") ) {
                return false;
            }
	var url = "bd.php";
	var pars = "p1=reindex";
	var ajax = new Ajax.Request( url, {
				parameters: pars,
				method:"post",
				onComplete: procesaRespuesta
				});
}

function copiaseg(){
	if( ! confirm("¿Deseas realizar una copia la base de datos?") ) {
                return false;
            }
	var url = "bd.php";
	var pars = "p1=copiaseg";
	var ajax = new Ajax.Request( url, {
				parameters: pars,
				method:"post",
				onComplete: procesaRespuesta
				});
}

///////////////////////////////////////////////////////////////////////////////////
//Funciones para validar campos////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////

//Comprobamos el nif
function nif(valor){

	nif=valor;
	cifras='El nif debe tener nueve cifras.';
	longitud = nif.length;
	if (longitud!=9) {return cifras;exit;}
	dni=nif.substring(0,8);
   	cadena="TRWAGMYFPDXBNJZSQVHLCKET";
   	posicion = (dni % 23);
   	letra = cadena.substring(posicion,posicion+1);
   	letra2 = nif.substring(8,9);
	letras='NIF erroneo, la letra teórica es '+letra+' no ' +letra2
	if (letra2!=letra) {return letras;exit;}
	return 1;
}

function camposrellenos(formu){
var formulario = formu;
var mensaje='Debes cumplimentar todos los campos.';
for (j=0; j<formulario.length; j++)
	{
	if (formulario[j].value=="") {return mensaje;exit;}
	}
	return 1;
}
