<?php
/**
* Archivo de mensajes
*
* @package mensajes.php
* @copyright 2007 2008 Luis Jorge Martin Aznar
* @version 1.0
* @review 1
* @author Luis Jorge Martin Aznar
* creacion= 12-octubre-2007
* modificacion= 14-abril-2008
*
* generator= gedit
*
* This file is part of PreAdmin ©.
*
*    This program is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program.  If not, see <http://www.gnu.org/licenses/>.  
*/


session_start();
//incluimos funciones,configuración e idioma (también fckeditor)

require('../config.php');
require('../idioma/'.$idioma.'');
include("fckeditor/fckeditor.php") ;
include_once('../modelo/m_mensajes.php');

//si hay sesión cargamos código
if (isset($_SESSION['usuario_sesion']))
{
$usuario = $_SESSION['id_usuario'];
require('../vista/mensajes/mensajes_menu.vta');
$accion=$_POST['accion'];
switch($accion)
{
case 'redacta':
	$form_name="formulario";
	$form_id="formulario";
	if ($_POST['id']!="")
		{
		$reg=leemensaje($_POST['id']);
		$select=$reg[0]['destinatario'];
		$texto=$reg[0]['mensaje'];
		$asunto=$reg[0]['asunto'];
		$envia_mensaje='enviaMensajeBorrador(\'e\',\''.($_POST['id']).'\')';
		$cancela_mensaje='enviaMensaje(\'c\')';
		$borrador_mensaje='enviaMensajeBorrador(\'b\',\''.($_POST['id']).'\')';
		}else{
		$texto='Escribe aqu&iacute;';
		$asunto='';
		$select='';
		$envia_mensaje='enviaMensaje(\'e\')';
		$cancela_mensaje='enviaMensaje(\'c\')';
		$borrador_mensaje='enviaMensaje(\'b\')';
		}
	$reg_usuarios=usuarios();
	for($d=0;$d<(count($reg_usuarios));$d++)
		{
		$matriz[$d][0]=$reg_usuarios[$d]['id_user'];
		$matriz[$d][1]=$reg_usuarios[$d]['firstname'].' '.$reg_usuarios['lastname'];
		}
	require('../vista/mensajes/mensajes_redacta.vta');
unset($form_name,$form_id,$reg_usuarios,$matriz);
break;

case 'recibidos':
	$reg_recib = mensajesrec($usuario);
	if($reg_recib>0)
	{
	for($m=0;$m<(count($reg_recib));$m++)
		{
	        $id=$reg_recib[$m]['id'];
		$mensa_reci[$m]['id']=$reg_recib[$m]['id'];
		$remitente=$reg_recib[$m]['remitente'];
		$mensa_reci[$m]['remitente']=$reg_recib[$m]['remitente'];
		$mensa_reci[$m]['tipo']=$reg_recib[$m]['tipo'];
			$reg_doc=datos_personales($remitente);
			if($reg_doc>0)
				{
				$mensa_reci[$m]['nombre_remit']=$reg_doc['0']['firstname'];
				$mensa_reci[$m]['apellidos_remit']=$reg_doc['0']['lastname'];
				}	
		$mensa_reci[$m]['asunto']=$reg_recib[$m]['asunto'];
		$mensa_reci[$m]['borra']='eliminaRec(\''.$mensa_reci[$m]['id'].'\')';
		$mensa_reci[$m]['leer']='new LITBox(\'mensaje_lee.php?id='.$mensa_reci[$m]['id'].'\', {type:\'window\', overlay:true, height:300, width:500, resizable:true})';
		$mensa_reci[$m]['mensaje']=$reg_recib[$m]['mensaje'];
		$mensa_reci[$m]['lectura']=$reg_recib[$m]['lectura'];
		$mensa_reci[$m]['fecha']=$reg_recib[$m]['fecha'];
		$mensa_reci[$m]['oculto']=$reg_recib[$m]['ocultorec'];
		$fecha_string=strtotime($mensa_reci[$m]['fecha']);
		$mensa_reci[$m]['fecha']=date('d-m-Y H:i:s',$fecha_string);
		if($mensa_reci[$m]['lectura'] == 'f')
			{
			$mensa_reci[$m]['icono']="../imgs/correo_cerrado.png";
			}
		else
			{
			$mensa_reci[$m]['icono']="../imgs/correo_abierto.png";
			}
		}
		require('../vista/mensajes/mensajes_recibidos.vta');
	}else{
		$mensaje_mensajes=$id_mensajes['nomensajes'];
		require('../vista/mensajes/errores.vta');
	}
unset($reg_recib,$mensa_reci,$remitente,$reg_doc,$mensaje_mensajes);
break;


case 'eliminarec':
	$borra=borrarmensajerec($_POST['id']);
	if ($borra!='0')
	{
		$mensaje_mensajes=$id_mensajes['mensajeborrado'];
	}else{
		$mensaje_mensajes=$id_mensajes['errorborrado'];
	}
	require('../vista/mensajes/errores.vta');
break;


case 'eliminaenv':
	$borra=borrarmensajeenv($_POST['id']);
	if ($borra!='0')
	{
		$mensaje_mensajes=$id_mensajes['mensajeborrado'];
	}else{
		$mensaje_mensajes=$id_mensajes['errorborrado'];
	}
	require('../vista/mensajes/errores.vta');
break;




case 'enviados':
	$reg_recib = mensajesenv($usuario);
	if($reg_recib>0)
	{
	for($m=0;$m<(count($reg_recib));$m++)
		{
	        $id=$reg_recib[$m]['id'];
		$mensa_reci[$m]['id']=$reg_recib[$m]['id'];
		$remitente=$reg_recib[$m]['destinatario'];
		$mensa_reci[$m]['destinatario']=$reg_recib[$m]['destinatario'];
		$mensa_reci[$m]['tipo']=$reg_recib[$m]['tipo'];
			$reg_doc=datos_personales($remitente);
			if($reg_doc>0)
				{
				$mensa_reci[$m]['nombre_remit']=$reg_doc['0']['firstname'];
				$mensa_reci[$m]['apellidos_remit']=$reg_doc['0']['lastname'];
				}	
		$mensa_reci[$m]['asunto']=$reg_recib[$m]['asunto'];
		$mensa_reci[$m]['borra']='eliminaEnv(\''.$id.'\')';
		$mensa_reci[$m]['leer']='new LITBox(\'mensaje_lee.php?tipo=enviado&id='.$mensa_reci[$m]['id'].'\', {type:\'window\', overlay:true, height:300, width:500, resizable:true})';
		$mensa_reci[$m]['mensaje']=$reg_recib[$m]['mensaje'];
		$mensa_reci[$m]['lectura']=$reg_recib[$m]['lectura'];
		$mensa_reci[$m]['fecha']=$reg_recib[$m]['fecha'];
		$mensa_reci[$m]['oculto']=$reg_recib[$m]['ocultorec'];
		$fecha_string=strtotime($mensa_reci[$m]['fecha']);
		$mensa_reci[$m]['fecha']=date('d-m-Y H:i:s',$fecha_string);
		if($mensa_reci[$m]['lectura'] == 'f')
			{
			$mensa_reci[$m]['icono']="../imgs/correo_cerrado.png";
			}
		else
			{
			$mensa_reci[$m]['icono']="../imgs/correo_abierto.png";
			}
		}
		require('../vista/mensajes/mensajes_enviados.vta');
	}else{
		$mensaje_mensajes=$id_mensajes['nomensajes'];
		require('../vista/mensajes/errores.vta');
	}
unset($reg_recib,$mensa_reci,$remitente,$reg_doc,$mensaje_mensajes,$id_mensajes);
break;





//desde el borrador
case 'envia':
$ins = mensajes_borrador_envia($_POST,$usuario);

if($ins!='0')
	{
		$mensaje_mensajes=$id_mensajes['mensajeenviado'];
	}else{
		$mensaje_mensajes=$id_mensajes['mensajenoenviado'];
	}
	require('../vista/mensajes/errores.vta');
unset($ins,$mensaje_mensajes,$id_mensajes);
break;






case 'listaborrador':
	$reg_recib = mensajes_borrador($usuario);
	if($reg_recib>0)
	{
	for($m=0;$m<(count($reg_recib));$m++)
		{
	        $id=$reg_recib[$m]['id'];
		$mensa_reci[$m]['id']=$reg_recib[$m]['id'];
		$destinatario=$reg_recib[$m]['destinatario'];
		$mensa_reci[$m]['destinatario']=$reg_recib[$m]['destinatario'];
		$mensa_reci[$m]['tipo']=$reg_recib[$m]['tipo'];
			$reg_doc=datos_personales($destinatario);
			if($reg_doc>0)
				{
				$mensa_reci[$m]['nombre_remit']=$reg_doc['0']['firstname'];
				$mensa_reci[$m]['apellidos_remit']=$reg_doc['0']['lastname'];
				}	
		$mensa_reci[$m]['asunto']=$reg_recib[$m]['asunto'];
		$mensa_reci[$m]['borra']='eliminaMensajeBorrador(\''.$id.'\')';
		$mensa_reci[$m]['leer']='editaMensajeBorrador(\''.$id.'\')';
		$mensa_reci[$m]['mensaje']=$reg_recib[$m]['mensaje'];
		$mensa_reci[$m]['lectura']=$reg_recib[$m]['lectura'];
		$mensa_reci[$m]['fecha']=$reg_recib[$m]['fecha'];
		$mensa_reci[$m]['oculto']=$reg_recib[$m]['ocultorec'];
		$fecha_string=strtotime($mensa_reci[$m]['fecha']);
		$mensa_reci[$m]['fecha']=date('d-m-Y H:i:s',$fecha_string);
		$mensa_reci[$m]['icono']="../imgs/edita.png";
		}
		require('../vista/mensajes/mensajes_borrador.vta');
	}else{
		$mensaje_mensajes=$id_mensajes['nomensajesborrador'];
		require('../vista/mensajes/errores.vta');
	}
unset($reg_recib,$mensa_reci,$destinatario,$reg_doc,$mensaje_mensajes,$id_mensajes);
break;

case 'eliminaborrador':
	$borra=borrarmensajeborrador($_POST['id']);
	if ($borra!='0')
	{
		$mensaje_mensajes=$id_mensajes['mensajeborrado'];
	}else{
		$mensaje_mensajes=$id_mensajes['errorborrado'];
	}
	require('../vista/mensajes/errores.vta');
unset($borra,$mensaje_mensajes,$id_mensajes);
break;

//desde el borrador guarda tanto borrador nuevo como editado
case 'borrador':

	if($_POST['idb'])
		{
		$act_borr=mensajes_borrador_edita($_POST,$usuario);
		if($act_borr!='0')
			{
			$mensaje_mensajes=$id_mensajes['mensajeguardado'];
			}else{
			$mensaje_mensajes=$id_mensajes['mensajenoguardado'];
			}
			require('../vista/mensajes/errores.vta');
		}
	else
		{
		$ins = mensajes_borrador_nuevo($_POST,$usuario);
		if($ins!='0')
			{
			$mensaje_mensajes=$id_mensajes['mensajeguardado'];
			}else{
			$mensaje_mensajes=$id_mensajes['mensajenoguardado'];
			}
			require('../vista/mensajes/errores.vta');
		}
unset($_POST,$act_borr,$mensaje_mensajes,$ins,$mensaje_mensajes,$id_mensajes);
break;


}//fin switch($accion)

}//fin if hay sesión

?>


