<?php
/**
* Archivo de calendario
*
* @package calendario.php
* @copyright 2007 2008 Luis Jorge Martin Aznar
* @version 1.0
* @review 1
* @author Luis Jorge Martin Aznar
* creacion= 12-octubre-2007
* modificacion= 14-abril-2008
*
* generator= gedit
*
* This file is part of PreAdmin ©.
*
*    This program is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program.  If not, see <http://www.gnu.org/licenses/>.  
*/



session_start();
//recogemos variables
$mes_actual = $_POST['mes'];
$anyo_actual = $_POST['anyo'];
//si es la primera vez que entramos, cargamos la fecha actual
if(!isset($mes_actual)) $mes_actual = date('m');
if(!isset($anyo_actual)) $anyo_actual = date('Y');
//si es una actualización del calendario cargamos variables de sesion
if(!isset($idioma)) $idioma = $_SESSION['idioma'];
$id_user=$_SESSION['id_usuario'];

include_once('../idioma/'.$idioma.'');
include_once('funciones_calendario.php');
include_once('../modelo/postgres.php');
include_once('../modelo/calendario.mdo');

$nombre_mes = numero_mes_a_nombre($mes_actual,$id_calendario);
//presentamos ahora el calendario del mes actual o cargado
//tabla con nombre mes y año y las flechas para navegar
$mes_menos='navegaMes(\''.$mes_actual.'\',\''.$anyo_actual.'\',\'menos\')'; 
$mes_mas='navegaMes(\''.$mes_actual.'\',\''.$anyo_actual.'\',\'mas\')';
$anyo_menos='navegaAnyo(\''.$anyo_actual.'\',\''.$mes_actual.'\',\'menos\')';
$anyo_mas='navegaAnyo(\''.$anyo_actual.'\',\''.$mes_actual.'\',\'mas\')';


//primera fila: compruebo dónde cae el día uno del mes y año cargados

$array_dias = array($id_calendario['id_l'],$id_calendario['id_m'],$id_calendario['id_x'],$id_calendario['id_j'],$id_calendario['id_v'],$id_calendario['id_s'],$id_calendario['id_d']);

	$nombre_dia_ing = date('l',mktime(0, 0, 0, $mes_actual, 1, $anyo_actual));
	$nombre_dia = dia_esp($nombre_dia_ing,$id_calendario);	
	$posicion = array_search($nombre_dia,$array_dias);
	for($p=0;$p<$posicion;$p++)
		{
		$fila1[$p][0]="";
		$fila1[$p][1]="";
		}
	for($p=$posicion;$p<7;$p++)
		{
		//$a=$posicion-1;
		$d=$p-$posicion;
		$fecha_ing = ''.$anyo_actual.'-'.$mes_actual.'-'.($d+1).'';
		$fila[1][$p][0]=($d+1);
		$fila[1][$p][1]='calendario(\''.($d+1).'\',\''.$mes_actual.'\',\''.$anyo_actual.'\')';
		$fila[1][$p][2]=celdas(1,$fecha_ing);
		}
//segunda fila
	$d++;
	for($p=0;$p<7;$p++)
		{
		$d++;
		$fecha_ing = ''.$anyo_actual.'-'.$mes_actual.'-'.($d).'';
		$fila[2][$p][0]=$d;
		$fila[2][$p][1]='calendario(\''.$d.'\',\''.$mes_actual.'\',\''.$anyo_actual.'\')';
		$fila[2][$p][2]=celdas(1,$fecha_ing);
		}
//tercera fila
	for($p=0;$p<7;$p++)
		{
		$d++;
		$fecha_ing = ''.$anyo_actual.'-'.$mes_actual.'-'.($d).'';
		$fila[3][$p][0]=$d;
		$fila[3][$p][1]='calendario(\''.$d.'\',\''.$mes_actual.'\',\''.$anyo_actual.'\')';
		$fila[3][$p][2]=celdas(1,$fecha_ing);
		}
//cuarta fila
	for($p=0;$p<7;$p++)
		{
		$d++;
		$fecha_ing = ''.$anyo_actual.'-'.$mes_actual.'-'.($d).'';
		$fila[4][$p][0]=$d;
		$fila[4][$p][1]='calendario(\''.$d.'\',\''.$mes_actual.'\',\''.$anyo_actual.'\')';
		$fila[4][$p][2]=celdas(1,$fecha_ing);
		}
//quinta fila y adicional (en su caso)
//numero dias del mes actual
	$ultimo_dia = ultimo_dia($mes_actual,$anyo_actual);
	$quedan_dias=$ultimo_dia-$d;
	for($p=0;$p<$quedan_dias;$p++)
		{
		$d++;
		$fecha_ing = ''.$anyo_actual.'-'.$mes_actual.'-'.($d).'';
		$fila[5][$p][0]=$d;
		$fila[5][$p][1]='calendario(\''.$d.'\',\''.$mes_actual.'\',\''.$anyo_actual.'\')';
		$fila[5][$p][2]=celdas(1,$fecha_ing);
		}
	if ($quedan_dias>7)
	{
	$d--;
	$quedan_dias=$quedan_dias-7;
	for($p=0;$p<$quedan_dias;$p++)
	{
		$fecha_ing = ''.$anyo_actual.'-'.$mes_actual.'-'.($d).'';
		$fila[6][$p][0]=$d;
		$fila[6][$p][1]='calendario(\''.$d.'\',\''.$mes_actual.'\',\''.$anyo_actual.'\')';
		$fila[6][$p][2]=celdas(1,$fecha_ing);
		$d++;
	}
}
include ('../vista/calendario.vta');



?>
