<?php
/**
* Archivo de instalacion
*
* @package index.php
* @copyright 2007 Ramon Castro Perez, 2007 2008 Luis Jorge Martin Aznar
* @version 1.0
* @review 1
* @author Luis Jorge Martin Aznar
* creacion= 20-noviembre-2007
* modificacion= 14-abril-2008
*
* generator= gedit
*
* This file is part of PreAdmin ©.
*
*    This program is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program.  If not, see <http://www.gnu.org/licenses/>.  
*/




session_start();
/**
* Configuramos php.ini para que no muestre mensajes de error
*
*/
ini_set("display_errors", "0"); 

/**
* Incluye el controlador 
*
*/
include_once('c_index.php');

/**
* Incluye el modelo
*
*/
include_once('../modelo/m_index.php');

$formulario_accion='index.php';
$fichero_idioma=$_GET['idiomaselec'];
if($_SESSION['idioma']=='')
	{
	/**
	* Incluye su fichero de idioma especifico por defecto
	*
	* En este fichero ya esta incluido el fichero de idioma comun para
	* todo el programa.
	*/
	$_SESSION['idioma']='castellano.php';
	}else{
	switch($fichero_idioma)
		{
		/**
		* Incluye su fichero de idioma especifico
		*
		* En este fichero ya esta incluido el fichero de idioma comun para
		* todo el programa.
		*/
		case '1':
		$_SESSION['idioma']='castellano.php';
		break;
		case '2':
		$_SESSION['idioma']='catalan.php';
		break;
		case '3':
		$_SESSION['idioma']='gallego.php';
		break;
		}
	}
include_once('../idioma/'.$_SESSION['idioma'].'');

/**
* variable usada para controlar el flujo de ejecución
*
*/
$var_flow="hid_paso"; 
$paso = $_POST['hid_paso'];
if(!$paso) 
	{
	$formulario_swich="1";
	$castellano='index.php?idiomaselec=1'; //para el castellano
	$catalan='index.php?idiomaselec=2';  //para el catalán
	$gallego='index.php?idiomaselec=3';  //para el gallego
	if ($_GET['leeme']=="1"){require('../vista/leeme.vta');}else{require('../vista/licencia.vta');}
	}
switch($paso)
	{
	case '1':	
	$formulario_swich="2";
	$flow_leeme='index.php?leeme=1';
	require('../vista/configura.vta');
	break;

	case '2':
	/**
	* Funcion que comprueba que están todos los campos rellenos
	*
	* Ubicada en el fichero /instalacion/controlador/c_index.php
	* Esta funcion comprueba que todos los campos estan rellenos. Los campos se los
	* pasamos mediante un array.
	* @param $POST es el array con los valores de los campos enviados por
	* el formulario
	* @return una varible con el resultado de la función.Si es correcta el valor que 
	* retorna es 1 y 0 si hay fallo. 
	*/
	$resul=validarcampos($_POST);
		if($resul!=1)
		{
		$formulario_swich='javascript:history.go(-1)';
		$error=$id_error_validarform;
		require('../vista/errorcampos.vta');
		}else{

		/**
		* Funcion que graba en el fichero config.php los parametros basicos
		*
		* Ubicada en el fichero /instalacion/controlador/c_index.php
		* Esta funcion graba los parametros basicos de configuracion
		* @param  Es el array con los valores de los campos enviados por
		* el formulario 
		* @return Un array de una dimension con dos filas. La primera es el resultado
		* de la funcion; 1 si es correcta 0 si hay fallo. La segunda fila es un array 
		* con los valores del formulario.
		*/
		$resul=grabaconf($_POST);
			if($resul[0]!=1)
			{
			$formulario_swich='javascript:history.go(-1)';
			$error=	$id_error_config;		
			require('../vista/errorcampos.vta');
			}else{
			/**
			* Funcion que crea los objetos de la base de datos
			*
			* Ubicada en el fichero /instalacion/modelo/m_index.php
			* Esta funcion crea los objetos de la base de datos. Esta funcion forma parte
			* de la capa modelo.
			* @param  Es el array con los valores de los campos enviados por
			* el formulario 
			* @return Si la creacion ha finalizado con exito retorna "creado"; en caso contrario retorna
			* 0.
			*/
			$resultado=completarbd($_POST);
				if ($resultado!="0"){
				$formulario_swich='../../index.php';
				require('../vista/exito.vta');
				}else{
				$formulario_swich='javascript:history.go(-1)';
				$error=	$id_error_instalacion;
				require('../vista/errorcampos.vta');
				}
		}
		}
	break;
	case '3':
	require('../vista/leeme.vta');
	break;
	}
unset($idioma,$formulario_accion,$fichero_idioma,$paso,$formulario_swich,$resul,$resultado);
?>



