<?php
/**
* Archivo de instalacion: Archivo de castellano
*
* @package castellano.php
* @copyright 2007 2008 Luis Jorge Martin Aznar
* @version 1.0
* @author Luis Jorge Martin Aznar
* creacion= 20-noviembre-2007
* modificacion= 14-abril-2008
*
* generator= gedit
*
* This file is part of PreAdmin ©.
*
*    This program is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program.  If not, see <http://www.gnu.org/licenses/>.  
*/

/**
* Incluye el fichero de idioma general
*
* Esta ubicado en /idioma/castellano.
*/
include_once('../../idioma/idioma.es');
$id_licencia = '<strong>PreAdmin</strong> Es un software creado para la gestión de la prevención de riesgos laborales. Está en desarrollo continuo con el objetivo de adaptarse de forma constante a las necesidades que se generan periódicamente en los Servicios de Prevención.
<br /><br />

Con PreAdmin, <strong>el técnico puede</strong>:
<ul>
	<li>Realizar evaluaciones iniciales de riesgos laborales.</li>
	<li>Realizar evaluaciones específicas.</li>
	<li>Planificar la actividad preventiva</li>
	<li>Coordinarse con las empresas contratadas y subcontratadas</li>
</ul>
Con PreAdmin, <strong>los responsables pueden</strong>:
<ul>
	<li>Acceder a sus evaluaciones de riesgos</li>
	<li>Informatizar el preceptivo mantenimiento de sus instalaciones técnicas</li>
	<li>Cumplimentar la planificación de la actividad preventiva</li>
	<li>Coordinarse con las empresas contratadas y subcontratadas</li>
</ul>

<strong>PreAdmin es software libre bajo licencia <a href="http://www.gnu.org/copyleft/gpl.html" target="_blank">GNU General Public License</a></strong>, porque creemos que <strong>el conocimiento debe ser compartido</strong>; porque no hubiera sido posible generar este software si miles de personas no hubieran donado, cedido, compartido y comunicado sus datos, sus ideas, sus trucos, sus saberes. La máxima "<strong>Devuelve a la Comunidad</strong>" es el pilar fundamental del movimiento del software libre. argen de este concepto; Compartir genera conocimiento, expande ideas y beneficia a la Comunidad. <strong>Compartir es ser libre</strong>.
<br/><br />
<strong>PreAdmin usa:</strong><br>
<ul>
  <li><a href="http://php.net" target="_blank">PHP</a></li>
  <li><a href="http://www.fpdf.org/" target="_blank">FPDF</a></li>
  <li><a href="http://html2fpdf.sourceforge.net/" target="_blank">html2pdf</a></li>
  <li><a href="http://es.wikipedia.org/wiki/Ajax"
 target="_blank">Ajax</a></li>
  <li><a href="http://www.postgresql.org/" target="_blank">PostgreSQL</a></li>
  <li><a href="http://www.prototypejs.org/"
 target="_blank">Prototype</a></li>
  <li><a href="http://script.aculo.us/" target="_blank">Scriptaculous</a></li>
  <li><a href="http://www.ryanjlowe.com/?p=9" target="_blank">LitBox</a></li>
<li><a href="http://www.fckeditor.net/" target="_blank">FCK Editor</a></li>
  <li><a href="http://www.silvestre.com.ar/"
 target="_blank">Dropline Neu</a></li>
  <li><a
 href="http://tango.freedesktop.org/Tango_Desktop_Project"
 target="_blank">Tango</a></li>
  <li><a href="http://www.csseasy.com/" target="_blank">CSS Easy</a></li>
  <li><a href="http://ramoncastro.es/" target="_blank">Siessta 2</a></li>


</ul>
<br />

PreAdmin es software experimental. Se distribuye con la intención de que sea útil, declinando toda responsabilidad sobre su uso y aplicación. PreAdmin es software libre distribuido bajo licencia GNU General Public License y su uso y modificación debe respetar los términos de dicha licencia así como las propias de las librerías empleadas y mencionadas anteriormente. Puedes encontrar una copia de la licencia GNU General Public License <a href="http://www.gnu.org/copyleft/gpl.html" target="_blank">aquí</a>.

<br/><br/>PreAdmin ha sido desarrollado por Jorge Martín Aznar bajo la supervisión de Gregorio Robles Martínez</a>.';


$id_idiomas=array('Castellano','Catalán','Gallego');

$idioma=array("licencia"=>$id_licencia,
		"version"=>$id_version,
		"idio"=>$id_idiomas,
		"leefirst"=>"Lee primero las instrucciones de pre-instalación",
		"titulo"=>"Licencia de PreAdmin",
		"conexion"=>"Configuración de conexión",
		"admon"=>"Administración del sitio",
		"servicio"=>"Servicio de Prevención",
		"servidor"=>"Servidor:",
		"administrador"=>"Administrador (20 máximo):",
		"nombreser"=>"Nombre del Servicio:",
		"bd"=>"Base de datos:",
		"passw"=>"Clave (6 máximo): ",
		"direccion"=>"Dirección del Servicio: ",
		"user"=>"Usuario PostgreSQL: ",
		"idioma"=>"Idioma: ",
		"telf"=>"Teléfono: ",
		"fax"=>"Fax: ",
		"passw_post"=>"Clave: ",
		"www"=>"Web del servicio: ",
		"mailuser"=>"Correo: ",
		"mailservicio"=>"Correo del servicio: ",
		"servidorpostgre"=>"Servidor PostgreSQL: ",
		"bdpostgre"=>"Base de datos PostgreSQL: ",
		"telfadmin"=>"Teléfono: ",
		"diradmin"=>"Dirección: ",
		"dni_admin"=>"NIF: ",
		"apellidosadmin"=>"Apellidos: ",
		"nombre"=>"Nombre: ",
			);

$id_exitoinstala="Debes ELIMINAR ahora el directorio instalacion<br />
	Vuelve a modificar los permisos del archivo config.php a SÓLO LECTURA (444)<br />
	Una vez realizados los pasos anteriores, pulsa aceptar para acceder.
	";

$id_leeme="<br />PreAdmin 1.0<br /><br />REQUERIMIENTOS:<br /><br />PreAdmin ha sido desarrollado usando el siguiente entorno por lo que debiera funcionar en versiones posteriores<br /><br />
PHP Version 5.2.0-8<br />PostgreSQL - 4.1.15<br />Apache 2.2.3<br /><br />INSTRUCCIONES PREVIAS A LA INSTALACIÓN VÍA WEB<br /><br />- Archivo .htaccess<br /><br />Se ha incluído un fichero .htacces que fuerza a Apache a codificar en UTF-8 y a denegar el listado de directorios. Esto en ocasiones puede generar problemas con el hosting. Si es así, se procederá a eliminarlo y a solicitar al hosting web que codifique en UTF-8 y deniegue el listado de directorios para la carpeta donde esté instalado Preadmin.<br /><br />
- Base de datos:<br /><br />Se debe crear una base de datos (usando la herramienta que proporcione el servicio de hosting que normalmente será &quot;Pgadmin&quot;). Posteriormente, crearemos un usuario y le otorgaremos permisos para que administre esta base de datos. 
Deberemos recordar el nombre del usuario, su contraseña y el nombre de la base de datos ya que necesitaremos esta información para la instalación vía web.<br /><br />
- Permisos:<br /><br />Los directorios &quot;fotos_al&quot;, &quot;fotos_doc&quot; y &quot;archivos&quot; del directorio &quot;admin&quot; deben tener 
permisos de escritura<br />El archivo &quot;config.php&quot; del directorio principal debe tener permisos de escritura. Tras la instalación 
debiera otorgarse solamente permiso de lectura<br />Las imágenes &quot;logo.jpg&quot; y &quot;logo_200.jpg&quot; deberán sustituirse por los logos que el centro desee presentar
en sus informes. Es importante respetar en la medida de lo posible las dimensiones<br /><br />ADVERTENCIA LEGAL<br /><br />Preadmin 1.0 no es otra cosa que un fichero donde se almacenarán datos de carácter técnico y personal. Por tanto, el responsable de este fichero (el administrador de PreAdmin) deberá tener en cuenta que la legislación española obliga a inscribir su existencia en la Agencia Española de Protección de Datos. El paquete incluye los avisos en las dos pantallas de acceso por lo que resta comunicar a la AEPD la existencia de este fichero.<br />
Es muy importante que esto sea tenido en cuenta pues será el propietario de la IP donde esté alojado PreAdmin el que detente esta responsabilidad. <br />
";

$id_error_config="El fichero config.php no tiene permisos de escritura. Cambia los permisos y vuelve al paso anterior";
$id_error_instalacion="Existe un error en el proceso de creación. Repasa los parámetros";
?>




